## cradle 0.5.5~20110308

=== Makefile ===
default: test

#
# Run all tests
#
test: 
	node test/scripts/prepare-db.js
	vows test/*-test.js

.PHONY: test

=== debian/changelog ===
cradle (0.5.5~20110308-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Tighten build-dependencies on nodejs and libnode-vows, to match
    upstream change.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Apr 2011 11:46:29 +0200

cradle (0.3.1+ce7298-2) unstable; urgency=low

  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Fix tighten dependency on nodejs to versions with sanely named
    binary.
  * Disable regression tests: requires network access so unsuitable for
    automated builds.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Mar 2011 21:51:50 +0100

cradle (0.3.1+ce7298-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611391.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 00:26:02 +0100

=== debian/control ===
Source: cradle
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 nodejs (>= 0.3.6),
 libnode-vargs,
 libnode-vows (>= 0.5.4)
Standards-Version: 3.9.2
Homepage: https://github.com/cloudhead/cradle
Vcs-Git: git://git.debian.org/git/collab-maint/cradle
Vcs-Browser: http://git.debian.org/?p=collab-maint/cradle.git

Package: libnode-cradle
Architecture: all
Depends: ${misc:Depends},
 libnode-vargs,
 nodejs (>= 0.2.6)
Recommends: couchdb
Description: high-level, caching, CouchDB client for Node
 Node is an event-based server-side JavaScript engine.
 .
 Cradle is an asynchronous javascript client for CouchDB.  It is
 somewhat higher-level than most other CouchDB clients, requiring a
 little less knowledge of CouchDB's REST API.
 .
 Cradle also has built-in write-through caching, giving you an extra
 level of speed, and making document _updates_ and _deletion_ easier.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for cradle
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CDBS_BUILD_DEPENDS += , nodejs (>= 0.3.6), libnode-vargs, libnode-vows (>= 0.5.4)

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/cradle/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
#DEB_UPSTREAM_TARBALL_MD5 =

DEB_INSTALL_DOCS_ALL += README.md

# tests require network access so unsuitable for automated builds
#build/libnode-cradle::
#	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(MAKE))

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=cloudhead&project=cradle .*/v(\d.*).tar.gz

## cradle 0.5.5~20110704

=== debian/changelog ===
cradle (0.5.5~20110704-1) unstable; urgency=low

  * New snapshot from upstream Git.
  * Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Aug 2011 19:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.72~),
  debhelper (>= 6),
  dh-buildinfo,
  nodejs (>= 0.3.6),

## cradle 0.5.7

=== debian/changelog ===
cradle (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Rename binary package libnode-cradle → node-cradle.
    Replace and conflict with (and temporarily provide) old name.
  * Update package relations:
    + Relax build-depend unversioned on debhelper and cdbs (needed
      versions satisfied even in oldstable).
    + (Build-)depend on node-vargs favored over legacy libnode-vargs.
    + Build-depend on node-vows (not libnode-vows).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 01:10:32 +0700

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-CDBS_BUILD_DEPENDS += , nodejs (>= 0.3.6), libnode-vargs, libnode-vows (>= 0.5.4)
+libpkgname = node-cradle
+
+CDBS_BUILD_DEPENDS += , nodejs (>= 0.3.6), node-vargs | libnode-vargs, node-vows
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -29,10 +31,10 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/cradle/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-#DEB_UPSTREAM_TARBALL_MD5 =
+DEB_UPSTREAM_TARBALL_MD5 = 8df099d2f8321b9e47dfb2fa6d994258
 
 DEB_INSTALL_DOCS_ALL += README.md
 
 # tests require network access so unsuitable for automated builds
-#build/libnode-cradle::
+#build/$(libpkgname)::
 #	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(MAKE))

## cradle 0.5.8

=== debian/changelog ===
cradle (0.5.8-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Bump debhelper compat level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Jan 2012 16:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.72~),
- debhelper (>= 6),
+Build-Depends: cdbs,
+ debhelper,
  dh-buildinfo,
  nodejs (>= 0.3.6),
- libnode-vargs,
- libnode-vows (>= 0.5.4)
+ node-vargs | libnode-vargs,
+ node-vows
 Standards-Version: 3.9.2
 Homepage: https://github.com/cloudhead/cradle
 Vcs-Git: git://git.debian.org/git/collab-maint/cradle
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cradle.git
 
-Package: libnode-cradle
+Package: node-cradle
 Architecture: all
 Depends: ${misc:Depends},
- libnode-vargs,
+ node-vargs | libnode-vargs,
  nodejs (>= 0.2.6)
 Recommends: couchdb
+Conflicts: libnode-cradle
+Replaces: libnode-cradle
+Provides: libnode-cradle
 Description: high-level, caching, CouchDB client for Node
  Node is an event-based server-side JavaScript engine.
  .

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/cloudhead/cradle/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 8df099d2f8321b9e47dfb2fa6d994258
+DEB_UPSTREAM_TARBALL_MD5 = 1fe3fb210055b8c58dbbd554b95fa423
 
 DEB_INSTALL_DOCS_ALL += README.md

=== debian/watch ===
version=3
http://githubredir.debian.net/github/cloudhead/cradle .*?(\d[^/]*).tar.gz
